<header>
  <div class="header-small">
    <a href="/">
      <img src="/img/logo-small.png" height="47" width="110">
    </a>

    <label for="expand-header-checkbox" class="expand-header-button">
      <!-- these divs will become the hamburger icon due to the CSS -->
      <div></div>
      <div></div>
      <div></div>
    </label>
  </div>
  <div class="header-large">
    <a href="/">
      <img src="/img/logo.png" width="220" height="49">
    </a>
  </div>

  <input type="checkbox" id="expand-header-checkbox">

  <nav>
    {{ $pageUrl := .URL }}
    {{ $mostSpecificMenuItem := "/" }}
    {{ range .Site.Menus.main }}
      {{ if hasPrefix $pageUrl .URL }}
        {{ if gt (len .URL) (len $mostSpecificMenuItem) }}
          {{ $mostSpecificMenuItem = .URL }}
        {{ end }}
      {{ end }}
    {{ end }}

    {{ range .Site.Menus.main }}
      {{ $active := eq $mostSpecificMenuItem .URL }}
      <a href="{{ .URL }}" {{ if $active }}class="active"{{ end }}>{{ .Name }}</a>
    {{ end }}
  </nav>
</header>
